Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.automate
Class RemoteIdentification

    java.lang.Object
      com.sshtools.common.automate.RemoteIdentification

public class RemoteIdentification
extends java.lang.Object

DOCUMENT ME!

Field Summary
`static int` | `ADD_AUTHORIZEDKEY` DOCUMENT ME!
`protected org.apache.commons.logging.Log` | `log` DOCUMENT ME!
`static int` | `REMOVE_AUTHORIZEDKEY` DOCUMENT ME!

Constructor Summary
`RemoteIdentification(java.lang.String defaultName)` Creates a new RemoteIdentification object.

Method Summary
`protected void` | `addRule(RemoteIdentificationRule rule)` DOCUMENT ME!
`boolean` | `configureUserAccess(SshClient ssh, java.lang.String system, java.lang.String username, java.util.List keys, java.lang.String authorizationFile, int mode)` DOCUMENT ME!
`boolean` | `configureUserAccess(SshClient ssh, java.lang.String system, java.lang.String username, SshPublicKey pk, java.lang.String authorizationFile, int mode)` DOCUMENT ME!
`java.lang.String` | `getAuthorizedKeysDefaultPath()` DOCUMENT ME!
`AuthorizedKeysFormat` | `getAuthorizedKeysFormat()` DOCUMENT ME!
`java.lang.String` | `getDefaultName()` DOCUMENT ME!
`java.lang.String` | `getName(java.lang.String ident)` DOCUMENT ME!
`protected java.util.List` | `getRules()` DOCUMENT ME!
`protected void` | `setAuthorizedKeysDefaultPath(java.lang.String defaultPath)` DOCUMENT ME!
`protected void` | `setAuthorizedKeysFormat(java.lang.Class implementationClass)` DOCUMENT ME!
`protected boolean` | `testRules(java.lang.String ident)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADD_AUTHORIZEDKEY

    public static final int ADD_AUTHORIZEDKEY

  DOCUMENT ME!

  See Also:
    Constant Field Values

### REMOVE_AUTHORIZEDKEY

    public static final int REMOVE_AUTHORIZEDKEY

  DOCUMENT ME!

  See Also:
    Constant Field Values

### log

    protected org.apache.commons.logging.Log log

  DOCUMENT ME!

Constructor Detail

### RemoteIdentification

    public RemoteIdentification(java.lang.String defaultName)

  Creates a new RemoteIdentification object.

Parameters:
  `defaultName` - DOCUMENT ME!

Method Detail

### getRules

    protected java.util.List getRules()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getDefaultName

    public java.lang.String getDefaultName()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getName

    public java.lang.String getName(java.lang.String ident)
                             throws RemoteIdentificationException

  DOCUMENT ME!

  Parameters:
    `ident` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `RemoteIdentificationException` - DOCUMENT ME!

### addRule

    protected void addRule(RemoteIdentificationRule rule)

  DOCUMENT ME!

  Parameters:
    `rule` - DOCUMENT ME!

### testRules

    protected boolean testRules(java.lang.String ident)

  DOCUMENT ME!

  Parameters:
    `ident` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### setAuthorizedKeysFormat

    protected void setAuthorizedKeysFormat(java.lang.Class implementationClass)

  DOCUMENT ME!

  Parameters:
    `implementationClass` - DOCUMENT ME!

### setAuthorizedKeysDefaultPath

    protected void setAuthorizedKeysDefaultPath(java.lang.String defaultPath)

  DOCUMENT ME!

  Parameters:
    `defaultPath` - DOCUMENT ME!

### getAuthorizedKeysDefaultPath

    public java.lang.String getAuthorizedKeysDefaultPath()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getAuthorizedKeysFormat

    public AuthorizedKeysFormat getAuthorizedKeysFormat()
                                                 throws RemoteIdentificationException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `RemoteIdentificationException` - DOCUMENT ME!

### configureUserAccess

    public boolean configureUserAccess(SshClient ssh,
                                       java.lang.String system,
                                       java.lang.String username,
                                       SshPublicKey pk,
                                       java.lang.String authorizationFile,
                                       int mode)
                                throws RemoteIdentificationException

  DOCUMENT ME!

  Parameters:
    `ssh` - DOCUMENT ME!
    `system` - DOCUMENT ME!
    `username` - DOCUMENT ME!
    `pk` - DOCUMENT ME!
    `authorizationFile` - DOCUMENT ME!
    `mode` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `RemoteIdentificationException` - DOCUMENT ME!

### configureUserAccess

    public boolean configureUserAccess(SshClient ssh,
                                       java.lang.String system,
                                       java.lang.String username,
                                       java.util.List keys,
                                       java.lang.String authorizationFile,
                                       int mode)
                                throws RemoteIdentificationException

  DOCUMENT ME!

  Parameters:
    `ssh` - DOCUMENT ME!
    `system` - DOCUMENT ME!
    `username` - DOCUMENT ME!
    `keys` - DOCUMENT ME!
    `authorizationFile` - DOCUMENT ME!
    `mode` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `RemoteIdentificationException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD